0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
January Clearance 2017

SweetCare®

Can I use my MOTU interface with a Mac G5?

If you are using the 828, 828mk2, 828mk3, 896, 896HD, 896mk3, Traveler, Traveler-mk3, UltraLite, UltraLite-mk3, 8pre, or V4HD, you simply need to install the latest FireWire drivers. Also, you will simply need to install the latest USB MIDI drivers for any MOTU USB MIDI interface. Our latest drivers are always available on our Downloads page.

Serial devices are not natively supported under Mac OS X, which is the operating system with which G5s ship. Please see the tech note, Can I use my serial MIDI interface under Mac OS X?.

If you are using the PCI-424 card, you may need to update your card. See this technote for more information on identifying which PCI-424 card you have.

The MOTU PCI-324 card is not compatible with any Mac G5. You may upgrade to the PCIX-424/PCIe-424 card either via the MOTU Online Store or by calling MOTU Customer Service.

Hundreds of Deals in the DealZone